# esolidar web3

![esolidar](https://static.esolidar.com/frontend/assets/web3-social-share.png)

[![Latest Github release](https://img.shields.io/github/release/Martinsos/edlib.svg)](https://github.com/esolidar/web3/releases/latest)
[![Codacy Badge](https://app.codacy.com/project/badge/Grade/31c7e814239047ccb71c98b61a97be12)](https://www.codacy.com/gh/esolidar/web3/dashboard?utm_source=github.com&utm_medium=referral&utm_content=esolidar/web3&utm_campaign=Badge_Grade)
![Build](https://github.com/esolidar/web3/actions/workflows/main.yml/badge.svg)
[![Live Demo](https://img.shields.io/badge/demo-online-green.svg)](https://web3.testesolidar.com)
[![License](https://img.shields.io/badge/License-Apache_2.0-blue.svg)](https://opensource.org/licenses/Apache-2.0)

Empowering philanthropy and ESG practice through blockchain.

A dedicated Dapp on top of Celo where any nonprofit, sustainable project or cause can choose to receive Celo stablecoins as donations (cUSD).

## Table of Contents

- [esolidar web3](#esolidar-web3)
  - [Table of Contents](#table-of-contents)
    - [Install](#install)
    - [Supported Wallets](#supported-wallets)
    - [Links](#links)
    - [License](#license)
    - [Security Vulnerabilities](#security-vulnerabilities)
    - [Support](#support)

## Install

Create an .env.local file in root directory:

```
cp .env.example .env.local
```

Install dependencies:

```
yarn
```

Start dev server:

```
yarn dev
```

## Tech Stack

- [Nextjs](https://nextjs.org/docs)
- [Typescript](https://www.typescriptlang.org/)
- [React Query](https://react-query.tanstack.com/)
- [@celo/contractkit](https://docs.celo.org/developer-guide/contractkit)

## Supported Wallets

- MetaMask
- Valora
- WalletConnect

## Links

- [esolidar.com](https://www.esolidar.com)
- [web3.esolidar.com](https://web3.esolidar.com)
- [Pitch](https://pitch.com/public/2b1f2641-fea9-4406-a1b7-0b116a125fd0)
- [@esolidar](https://twitter.com/esolidar)
- [Issue tracker](https://github.com/esolidar/web3/issues)
- [Source code](https://github.com/esolidar/web3)

## License

> You can check out the full license [here](https://github.com/esolidar/web3/blob/main/LICENSE)

This project is licensed under the terms of the **Apache License 2.0** license.

## Security Vulnerabilities

If you discover a security vulnerability within esolidar web3 repository, please create an issue on this repo. All security vulnerabilities will be promptly addressed.

## Support

Struggling with anything esolidar web3 related? Jump into the [Issue tracker](https://github.com/esolidar/web3/issues) and ask for help any time.
